//
//  CustomHQVoiceMessageCell.h
//  support-im-ios-debugdemo
//
//  Created by wangyanxu on 2025/6/16.
//

#import <RongIMKit/RongIMKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface CustomHQVoiceMessageCell : RCMessageCell
/// 语音播放的View
@property (nonatomic, strong) RCBaseImageView *playVoiceView;

/// 显示是否已播放的View
@property (nonatomic, strong) RCBaseImageView *voiceUnreadTagView;

/// 显示语音时长的Label
@property (nonatomic, strong) UILabel *voiceDurationLabel;

/// 播放语音
- (void)playVoice;

/// 停止播放语音
- (void)stopPlayingVoice;

@end

NS_ASSUME_NONNULL_END
